Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.data
Class RawData.Factory

    java.lang.Object
      com.bea.data.RawData.Factory

Enclosing interface:
  RawData

    public static final class RawData.Factory

extends Object

Static factory class for creating new instances of RawData

Constructor Summary
`RawData.Factory()`

Method Summary
`static RawData` | `newInstance()` creates a rawdata instance
`static RawData` | `newInstance(byte[] bytes)` creates a rawdata instance from byte[]
`static RawData` | `newInstance(InputStream stream)` creates a rawdata instance from inputstream
`static RawData` | `newInstance(String str)` creates a rawdata instance from string
`static RawData` | `newInstance(String str, String enc)` creates a rawdata instance from string with encoding

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RawData.Factory

    public RawData.Factory()

Method Detail

### newInstance

    public static RawData newInstance(InputStream stream)
                               throws IOException

  creates a rawdata instance from inputstream

  Parameters:
    `stream` - InputStream containing the data.
  Returns:
    a new RawData instance
  Throws:
    `IOException` - thrown if a reading error occurs.

### newInstance

    public static RawData newInstance(byte[] bytes)
                               throws RawDataRuntimeException

  creates a rawdata instance from byte[]

  Returns:
    a new RawData instance
  Throws:
    `RawDataRuntimeException`

### newInstance

    public static RawData newInstance()
                               throws RawDataRuntimeException

  creates a rawdata instance

  Returns:
    a new RawData instance
  Throws:
    `RawDataRuntimeException`

### newInstance

    public static RawData newInstance(String str)
                               throws RawDataRuntimeException

  creates a rawdata instance from string

  Parameters:
    `str` - The string representation of the data.
  Returns:
    a new RawData instance
  Throws:
    `RawDataRuntimeException`

### newInstance

    public static RawData newInstance(String str,
                                      String enc)
                               throws UnsupportedEncodingException,
                                      RawDataRuntimeException

  creates a rawdata instance from string with encoding

  Parameters:
    `str` - The string representation of the data.
    `enc` - The encoding to apply on the string representation of the data.
  Returns:
    a new RawData instance
  Throws:
    `UnsupportedEncodingException`
    `RawDataRuntimeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD